MSTLINK,(1)

NAME
mstlink, - manual page for mstlink, mstflint 4.13.1, built on Sep 11 2019, 21:09:35. Git SHA Hash: N/A

DESCRIPTION

    NAME:

    mstlink

    SYNOPSIS:

    mstlink [OPTIONS]

    DESCRIPTION:

    The mlxlink tool is used to check and debug link status and issues related to them. The tool can be used on different links and cables (passive, active, transceiver and backplane).

    OPTIONS:

-h |--help
    : Display help message.

-v |--version
    : Display version info.

-d |--device
    <device> : Perform operation for a specified mst device

-p |--port
    <port_number> : Port Number

--port_type
    <port_type> : Port Type [NETWORK(Default)/PCIE]

--depth
    <depth> : depth level of the DUT of some hierarchy (PCIE only)

--pcie_index
    <pcie_index> : PCIe index number (Internal domain index) (PCIE only)

--node
    <node> : the node within each depth (PCIE only)

    QUERIES:

--show_links
    : Show valid PCIe links (PCIE only)

-m |--show_module
    : Show Module Info

-c |--show_counters
    : Show Physical Counters and BER Info

-e |--show_eye
    : Show Eye Opening Info

--show_fec
    : Show FEC Capabilities

--show_serdes_tx
    : Show Transmitter Info

--show_device
    : General Device Info

--show_ber_monitor
    : Show BER Monitor Info (not supported for HCA)

--show_external_phy
    : Show External PHY Info

    COMMANDS:

-a |--port_state <port_state>
    : Configure Port State [UP(up)/DN(down)/TG(toggle)]

-s |--speeds
    <speeds> : Configure Speeds [speed1,speed2,...]

--link_mode_force
    : Configure Link Mode Force (Disable AN)

-l |--loopback
    <loopback> : Configure Loopback Mode [NO(no loopback)/PH(phy loopback)/EX(external loopback)]

-k |--fec
    <fec_override> : Configure FEC [AU(Auto)/NF(No-FEC)/FC(FireCode FEC)/RS(RS-FEC)]

--fec_speed
    <fec_speed> : Speed to Configure FEC [100G/50G/25G/...] (Default is Active Speed)

--serdes_tx
    <params> : Configure Transmitter Parameters [polarity,ob_tap0,...]

--serdes_tx_lane <transmitter_lane>
    : Transmitter Lane to Set (Optional - Default All Lanes)

--database
    : Save Transmitter Configuration for Current Speed Permanently (Optional)

--test_mode
    <prbs_mode> : Physical Test Mode Configuration [EN(enable)/DS(disable)/TU(perform tuning)]

--rx_prbs
    <rx_prbs_mode> : RX PRBS Mode [PRBS31(Default)/PRBS7/...] (Optional - Default PRBS31)

--tx_prbs
    <tx_prbs_mode> : TX PRBS Mode [PRBS31(Default)/PRBS7/...] (Optional - Default PRBS31)

--rx_rate
    <rx_lane_rate> : RX Lane Rate [EDR(Default)/25G/10G/...] (Optional - Default 25G)

--tx_rate
    <tx_lane_rate> : TX Lane Rate [EDR(Default)/25G/10G/...] (Optional - Default 25G)

-b |--ber_collect <csv_file>
    : Port Extended Information Collection [CSV File]

--ber_limit
    <limit_criteria> : BER Limit Criteria [Nominal(Default)/Corner/Drift] (Optional - Default Nominal)

--iteration
    <iteration> : Iteration Number of BER Collection

--pc
    : Clear Counters

--set_external_phy
    : Set External PHY (not supported for HCA)

--twisted_pair_force_mode <twisted_pair_force_mode>
    : Twisted Pair Force Mode [MA(Master)/SL(Slave)]

    Examples:

get info of <device>, <port_number>
    :

    mstlink -d <device> -p <port_number>

    get info of <device>, <port_number> and BER Counters:

    mstlink -d <device> -p <port_number> -c

    get info of <device>, <port_number> and Transmitter Parameters:

    mstlink -d <device> -p <port_number> --show_serdes_tx

Configure Port State
    :

    mstlink -d <device> -p <port_number> --port_state UP

Configure Port Speeds
    :

    mstlink -d <device> -p <port_number> --speeds 25G,50G,100G

Configure FEC
    :

    mstlink -d <device> -p <port_number> --fec RS

Configure Port for Physical Test Mode
    :

    mstlink -d <device> -p <port_number> --test_mode EN (--rx_prbs PRBS31 --rx_rate 25G --tx_prbs PRBS7 --tx_rate 10G)

Perform PRBS Tuning
    :

    mstlink -d <device> -p <port_number> --test_mode TU

    Configure Transmitter Parameters (on lane, to database):

    mstlink -d <device> -p <port_number> --serdes_tx <polarity>,<ob_tap0>,<ob_tap1>,<ob_tap2>,<ob_bias>,<ob_preemp_mode> (--serdes_tx_lane <lane number>) (--database)

SEE ALSO
The full documentation for mstlink, is maintained as a Texinfo manual. If the info and mstlink, programs are properly installed at your site, the command

    info mstlink,

should give you access to the complete manual.